Page MenuHomePhabricator

API: Add mergehistory action
Closed, ResolvedPublic

Description

There is no api module for Special:MergeHistory, should be added.


Version: 1.24rc
Severity: enhancement

Details

Reference
bz67742

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:31 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz67742.
bzimport added a subscriber: Unknown Object (MLST).
Ricordisamoa added a subscriber: Ricordisamoa.
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Feb 19 2015, 6:34 PM
Sn1per added a subscriber: Sn1per.Dec 28 2015, 6:46 PM
Sn1per claimed this task.Dec 28 2015, 9:03 PM

I would imagine that history merging functionality would probably need to be moved out of SpecialMergeHistory?

Reedy added a comment.Dec 28 2015, 9:10 PM

I would imagine that history merging functionality would probably need to be moved out of SpecialMergeHistory?

Yup.

Mostly the merge function, and decouple it from the class member variables etc

Change 261617 had a related patch set uploaded (by Sn1per):
[WIP] Implement action=mergehistory

https://gerrit.wikimedia.org/r/261617

Anomie moved this task from Needs Code to In Dev on the MediaWiki-API board.Jan 4 2016, 6:58 PM
jayvdb added a subscriber: jayvdb.Jan 10 2016, 1:57 PM

@Sn1per, once this is merged, could you create a Pywikibot task to implement support for this. If done before end of GCI, I can submit it as a Pywikibot GCI task if you are interested.

@Sn1per, once this is merged, could you create a Pywikibot task to implement support for this. If done before end of GCI, I can submit it as a Pywikibot GCI task if you are interested.

Sure, that would be an interesting thing to do.

Catrope removed a subscriber: Catrope.Jan 15 2016, 11:00 PM

Change 261617 merged by jenkins-bot:
Implement action=mergehistory

https://gerrit.wikimedia.org/r/261617

Sn1per closed this task as Resolved.Feb 9 2016, 12:24 AM

\o/